#include <bits/stdc++.h>

using namespace std;

int main()
{
    double deo;
    long long p, q, r;
    long long interval1, interval2, maxi, broj2, broj = 0;
    cin >> p >> q >> r >> interval1 >> interval2;
    deo = 1 / float(p) + 1 / float(q) + 1 / float(r);
    if(deo > 1){
        cout << 0;
        return 0;
    }
    else if(deo == 1){
        if((p == 3 || p == 6 || p == 2) && (q == 3 || q == 6 || q == 2) && (r == 3 || r == 6 || r == 2)){
            broj = (interval2 - interval1) / 6;
            if(interval1 % 6 == 0 || interval2 % 6 == 0) broj++;
        }
        if((p == 4 || p == 2) && (q == 4 || q == 2) && (r == 4 || r == 2)){
            broj = (interval2 - interval1) / 4;
            if(interval1 % 4 == 0 || interval2 % 4 == 0) broj++;
        }
        if(p == 3 && q == 3 && r == 3){
            broj = (interval2 - interval1) / 3;
            if(interval1 % 3 == 0 || interval2 % 3 == 0) broj++;
        }
        cout << broj;
    }
    else{
        for(int i = interval1 ; i <= interval2 ; i++){
            broj2 = i / p + i / q + i / r;
            if(i % r != 0) broj2++;
            if(i % q != 0) broj2++;
            if(i % p != 0) broj2++;
            if(i % p != 0 && i % q != 0 && i % r != 0 && broj2 <= i){
                broj += interval2 - i + 1;
                break;
            }
            if(broj2 <= i) broj++;
        }
        cout << broj;
    }
    return 0;
}